# WoopsiUI::AmigaScreen Class Reference

`#include <amigascreen.h>`

Inheritance diagram for WoopsiUI::AmigaScreen:

List of all members.

## Classes
struct | AmigaScreenFlags
## Public Types
enum | AmigaScreenFlagType { AMIGA_SCREEN_SHOW_FLIP = 0x0001, AMIGA_SCREEN_SHOW_DEPTH = 0x0002 }
## Public Member Functions
| AmigaScreen (const char *title, u32 flags, u32 screenFlags, FontBase *font=NULL)
virtual void | setBorderless (bool isBorderless)
virtual void | handleClickEvent (const GadgetEventArgs &e)
virtual void | handleDragEvent (const GadgetEventArgs &e)
virtual void | handleReleaseEvent (const GadgetEventArgs &e)
virtual void | handleReleaseOutsideEvent (const GadgetEventArgs &e)
virtual void | showFlipButton ()
virtual void | showDepthButton ()
virtual void | hideFlipButton ()
virtual void | hideDepthButton ()
virtual const bool | hasFlipButton () const
virtual const bool | hasDepthButton () const
## Protected Member Functions
virtual | ~AmigaScreen ()
| AmigaScreen (const AmigaScreen &amigaScreen)
## Protected Attributes
ScreenTitle * | _screenTitle
DecorationGlyphButton * | _depthButton
DecorationGlyphButton * | _flipButton
AmigaScreenFlags | _screenFlags

## Detailed Description

Class providing a screen with an Amiga-style title bar. Unlike the AmigaWindow class, the title bar in this class can be overlapped by child gadgets. Clicking and dragging the title bar causes the screen to drop down the DS' display, revealing any screens below it. The screen has depth swap and display flip buttons.

All gadgets should be a child/grandchild/etc of a screen except for other screens and the Woopsi instance.

## Member Enumeration Documentation

enum WoopsiUI::AmigaScreen::AmigaScreenFlagType

Enum listing flags that can be set in the constructor's "screenFlags" parameter.

Enumerator:

  AMIGA_SCREEN_SHOW_FLIP | Screen shows flip button
  AMIGA_SCREEN_SHOW_DEPTH | Screen shows depth button

## Constructor & Destructor Documentation

WoopsiUI::AmigaScreen::AmigaScreen | ( | const char * | title,
|  | u32 | flags,
|  | u32 | screenFlags,
|  | FontBase * | font = `NULL` |
| ) |  |  |

Constructor.

virtual WoopsiUI::AmigaScreen::~AmigaScreen | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::AmigaScreen::AmigaScreen | ( | const AmigaScreen & | amigaScreen | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

virtual void WoopsiUI::AmigaScreen::handleClickEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handle events fired by decoration gadgets.

Parameters:

  | e | Event arguments to process.

Reimplemented from WoopsiUI::GadgetEventHandler.

virtual void WoopsiUI::AmigaScreen::handleDragEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handle events fired by decoration gadgets.

Parameters:

  | e | Event arguments to process.

Reimplemented from WoopsiUI::GadgetEventHandler.

virtual void WoopsiUI::AmigaScreen::handleReleaseEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handle events fired by decoration gadgets.

Parameters:

  | e | Event arguments to process.

Reimplemented from WoopsiUI::GadgetEventHandler.

virtual void WoopsiUI::AmigaScreen::handleReleaseOutsideEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handle events fired by decoration gadgets.

Parameters:

  | e | Event arguments to process.

Reimplemented from WoopsiUI::GadgetEventHandler.

virtual const bool WoopsiUI::AmigaScreen::hasDepthButton | ( |  | ) | const`[inline, virtual]`

Does the screen have a depth button?

Returns:
  True if the screen has a depth button.

virtual const bool WoopsiUI::AmigaScreen::hasFlipButton | ( |  | ) | const`[inline, virtual]`

Does the screen have a flip button?

Returns:
  True if the screen has a flip button.

virtual void WoopsiUI::AmigaScreen::hideDepthButton | ( |  | ) | `[virtual]`

Hides the depth button if it is hidden. Has no effect if the screen is borderless. Will redraw the gadget.

virtual void WoopsiUI::AmigaScreen::hideFlipButton | ( |  | ) | `[virtual]`

Hides the flip button if it is visible. Has no effect if the screen is borderless. Will redraw the gadget.

virtual void WoopsiUI::AmigaScreen::setBorderless | ( | bool | isBorderless | ) | `[virtual]`

Sets this gadget's border state. Setting to false hides the title bar.

Parameters:

  | isBorderless | The border state.

Reimplemented from WoopsiUI::Gadget.

virtual void WoopsiUI::AmigaScreen::showDepthButton | ( |  | ) | `[virtual]`

Shows the depth button if it is hidden. Has no effect if the screen is borderless. Will redraw the gadget.

virtual void WoopsiUI::AmigaScreen::showFlipButton | ( |  | ) | `[virtual]`

Shows the flip button if it is hidden. Has no effect if the screen is borderless. Will redraw the gadget.

## Member Data Documentation

DecorationGlyphButton* WoopsiUI::AmigaScreen::_depthButton`[protected]`

Pointer to the screen's depth button

DecorationGlyphButton* WoopsiUI::AmigaScreen::_flipButton`[protected]`

Pointer to the screen's flip button

AmigaScreenFlags WoopsiUI::AmigaScreen::_screenFlags`[protected]`

AmigaScreen-specific flags

ScreenTitle* WoopsiUI::AmigaScreen::_screenTitle`[protected]`

Title of the screen

The documentation for this class was generated from the following file:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.40/Woopsi/libwoopsi/include/amigascreen.h